phing-tasks-system

# Class: TypedefTask Source Location: /tasks/system/TypedefTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --TypedefTask
Register a datatype for use within a buildfile. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 526 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods createClasspath main setClassname setClasspath setClasspathRef setName
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 49] Register a datatype for use within a buildfile. This is for registering your own datatypes for use within a buildfile. If you find that you are using a particular class frequently, you may want to edit the phing/types/defaults.properties file so that it is included by default. You may also want to submit it (if LGPL or compatible license) to be included in Phing distribution.
       .
TODO: -- possibly refactor since this is almost the same as TaskDefTask (right now these are just too simple to really justify creating an abstract class) #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 526 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method createClasspath [line 87]
`void createClasspath( )`
Create the classpath to be used when searching for component being defined #### Tags:
access: | public
[ Top ] ### method main [line 103]
`void main( )`
Main entry point #### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setClassname [line 122]
`void setClassname( string $class)`
Sets the class name / dotpath to use. #### Tags:
access: | public
#### Parameters:
string | $class |
[ Top ] ### method setClasspath [line 76]
`void setClasspath( $classpath)`
Set the classpath to be used when searching for component being defined #### Tags:
access: | public
#### Parameters:
Path | $classpath | An Path object containing the classpath.
[ Top ] ### method setClasspathRef [line 97]
`void setClasspathRef( $r)`
Reference to a classpath to use when loading the files. #### Tags:
access: | public
#### Parameters:
Reference | $r |
[ Top ] ### method setName [line 114]
`void setName( string $name)`
Sets the name that will be used in XML buildfile. #### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:17 +0200 by phpDocumentor 1.4.3